<h1 mat-dialog-title>Detalle del Pedido</h1>
<hr>

<form (ngSubmit)="submitFormularioPedido()">
<div mat-dialog-content>
  <div class="container-info">
    <p>
      <b>Id:</b>
      <label class="label-info">{{pedido.id}}</label>
    </p>
    <p><b>Cliente:</b>
      <label class="label-info">{{pedido.cliente}}</label>
    </p>
    <p><b>Zona:</b>
      <label class="label-info">{{pedido.zona}}</label>
    </p>
    <p><b>Fecha alta:</b>
      <label class="label-info">{{pedido.alta}}</label>
    </p>
  </div>
  <div class="container-productos"> 
    <p><b>Productos: </b>
      <mat-list role="list">
        <mat-list-item role="listitem" *ngFor="let item of pedido.productos">{{item.nombre}}</mat-list-item>
      </mat-list>
    </p>
  </div>
  <mat-form-field class="form-field-detalle" [formGroup]="formPedido">
      <mat-label>Detalle</mat-label>
      <textarea class="textarea-form-detalle" matInput formControlName="detalle"></textarea>
  </mat-form-field>
</div> 
<div mat-dialog-actions>
  <button mat-flat-button type="button" (click)="clickCancel()" >Cancelar</button>
  <button mat-flat-button type="submit" color="primary">Guardar</button>
</div>
</form>